import React from 'react';
import { Layout } from 'antd';
import useSystemModel from '@/store/system';

const { Footer } = Layout;
const style = {
  textAlign: 'center',
  color: 'rgba(0,0,0, 0.3)',
}

const year = new Date().getFullYear();
export default React.forwardRef((props, ref) => {
  const [app] = useSystemModel(s => s.app);
  const copyRight = `${app.company || ''} @ ${year}`;

  return (
    <Footer ref={ref} style={style}>{copyRight}</Footer>
  )
})
